petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMType

String with the name of a PETSc DM

### Synopsis

    typedef const char* DMType;
    #define DMDA        "da"
    #define DMCOMPOSITE "composite"
    #define DMSLICED    "sliced"
    #define DMSHELL     "shell"
    #define DMPLEX      "plex"
    #define DMREDUNDANT "redundant"
    #define DMPATCH     "patch"
    #define DMMOAB      "moab"
    #define DMNETWORK   "network"
    #define DMFOREST    "forest"
    #define DMP4EST     "p4est"
    #define DMP8EST     "p8est"
    #define DMSWARM     "swarm"
    #define DMPRODUCT   "product"
    #define DMSTAG      "stag"

### See Also

DMSetType(), DM

### Level

beginner

### Location

src/dm/../../include/petscdm.h

### Examples

src/dm/impls/forest/examples/tutorials/ex1.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages